<?php 
session_start();
include_once '../../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 

$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$produto = $_POST['artigo'];
$status = 'Aberto';
$qtd = 1;
// $cliente = 1;

	$sqlView = "SELECT stock FROM produto WHERE codbar = '$produto'";
	$rsView = mysqli_query($db, $sqlView);
	$dados = mysqli_fetch_assoc($rsView);
	$stock = $dados['stock'];
	if ($stock < $qtd) {
		echo 2;
	}else{
		$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status' AND usuario = '$userID'";
		$rsBox = mysqli_query($db, $sqlBox);
		if (mysqli_num_rows($rsBox) > 0) {	
			$sqlP = "SELECT preco, nomeproduto FROM produto WHERE codbar = '$produto'";	
			$rsP = mysqli_query($db, $sqlP);
			$dados = mysqli_fetch_array($rsP);
			$preco = $dados['preco'];
			$produt = $dados['nomeproduto'];
			$total = $qtd * $preco;
			if (mysqli_num_rows($rsBox) > 0) {
				$sqlselect = "SELECT * FROM filadeespera WHERE produtofiladeespera = '$produt'";
				$rsselect = mysqli_query($db, $sqlselect);
				$dd = mysqli_fetch_array($rsselect);
				$q = $dd['qtdfiladeespera'];
				if ($stock >= ($q + $qtd)) {
					if (mysqli_num_rows($rsselect) > 0) {
						$sqlll = "UPDATE filadeespera SET qtdfiladeespera = qtdfiladeespera + '$qtd' WHERE produtofiladeespera = '$produt' AND usuariofiladeespera = '$userID'";	
						$rsss = mysqli_query($db, $sqlll);
					}else{
						$sqlll = "INSERT INTO filadeespera(produtofiladeespera, qtdfiladeespera, precofiladeespera, totalfiladeespera, usuariofiladeespera, data) VALUES ('$produt','$qtd', '$preco', '$total', '$userID', '$data_hora')";	
						$rsss = mysqli_query($db, $sqlll);
					}
				}else{
					echo 2;
				}
			}
		}else{
			echo "<script>alert('O caixa esta fechado, favor abrir o caixa!')</script>";
		}
	}

